EvLoop::invokePending
EvLoop::loopFork
EvLoop
PHP Manual

# EvLoop::io

(PECL ev >= 0.2.0)

EvLoop::io — Create EvIo watcher object associated with the current event loop instance

### Description

final public EvIo EvLoop::io ( mixed `$fd` , int `$events` , callable `$callback` [, mixed `$data` = `NULL` [, int `$priority` = 0 ]] )

Create EvIo watcher object associated with the current event loop instance.

### Parameters

All parameters have the same meaning as for EvIo::__construct()

### Return Values

Returns EvIo object on success.

### See Also

- EvIo::__construct() - Constructs EvIo watcher object

EvLoop::invokePending
EvLoop::loopFork
EvLoop
PHP Manual